1

This question already has an answer here:

I wasn't sure whether to post this on a more Eclipse/Java related forum but I thought this was a more Elementary OS specific question.

Can someone help me make sense of this error? I need Java for university related work and don't want to have to boot to Windows just to use it.

Screenshot

marked as duplicate by Daniel Foré, Ravan, Lewis Goddard Nov 18 '15 at 11:42

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

0

The problem will be solved by adding the following to the last line in eclipse.ini :

-Dorg.eclipse.swt.internal.gtk.cairoGraphics=false

This setting will resolve the JVM terminated. Exit code=1 problem.

Reference here

  • Doing that just seems to add that line to the dump for me, the error still remains :( – kuomi Nov 10 '15 at 14:29
0

Do you really need to use JDK9? As far as I know, JDK9 is still not released, and there might be some issues with JDK9 and the libraries used by Eclipse (e.g. SWT). I suggest that you switch to JDK8 to see if the problem persists.

As a side note, the latest release of Netbeans (8.1) runs fine on the Oracle JDK8 on Freya, but Netbeans uses the Swing UI framework instead of SWT so it's probably a little more portable than SWT. Could be worth trying, and Netbeans is actually a really nice IDE for Java development (among other things). The native Maven support is reason enough to use NB instead of Eclipse IMHO, but it also has many other nice features that has kept me from switching back ever since 2006/2007. I suggest you give it a try unless your Eclipse/SWT issue has already been solved.

0

This is a known bug in Gala, but there is no solution yet.

Not the answer you're looking for? Browse other questions tagged or ask your own question.